import { injectable } from "tsyringe";
import { LpTtnEndDeviceUplinks } from "../models/lpTtnEndDeviceUplinks";

@injectable()
export class LpTtnEndDeviceUplinksRepository {
  public async findAll() {
    return await LpTtnEndDeviceUplinks.findAll();
  }

  public async findById(id: string) {
    return await LpTtnEndDeviceUplinks.findByPk(id);
  }

  public async create(data: Partial<LpTtnEndDeviceUplinks>) {
    return await LpTtnEndDeviceUplinks.create(data);
  }

  public async update(id: string, data: Partial<LpTtnEndDeviceUplinks>) {
    const uplink = await this.findById(id);
    if (uplink) {
      return await uplink.update(data);
    }
    return null;
  }

  public async delete(id: string) {
    const uplink = await this.findById(id);
    if (uplink) {
      await uplink.destroy();
      return true;
    }
    return false;
  }
}
