import { injectable } from "tsyringe";
import { TtnGatewayReception } from "../models/ttnGatewayReception";

@injectable()
export class TtnGatewayReceptionRepository {
  public async findAll() {
    return await TtnGatewayReception.findAll();
  }

  public async findById(id: string) {
    return await TtnGatewayReception.findByPk(id);
  }

  public async create(data: Partial<TtnGatewayReception>) {
    return await TtnGatewayReception.create(data);
  }

  public async update(id: string, data: Partial<TtnGatewayReception>) {
    const gatewayReception = await this.findById(id);
    if (gatewayReception) {
      return await gatewayReception.update(data);
    }
    return null;
  }

  public async delete(id: string) {
    const gatewayReception = await this.findById(id);
    if (gatewayReception) {
      await gatewayReception.destroy();
      return true;
    }
    return false;
  }
}
